1. Master
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Master

Get Tax List

GET
/api/v1/master/tax

Tax List#

Purpose#

Retrieve all tax configurations available in VasyERP.

Why would you use this?#

Use this API when your system needs tax master data for product synchronization, invoice creation, purchase transactions, sales transactions, or tax-related reporting.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP

Information Returned#

This API returns tax master information including:
Tax ID
Tax Name
Tax Rate (%)

Example Use Case#

A business wants to synchronize products from VasyERP to an eCommerce platform.
Before importing products, the system can retrieve available tax configurations and map products to the appropriate tax rates.

Important Notes#

Tax IDs should be stored and used when referencing taxes in other APIs.
Tax rates are returned as percentages.
Multiple tax configurations may have the same tax rate but different tax types.
It is recommended to fetch the latest tax master data periodically.

Request

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/master/tax' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "All Tax List",
    "code": "200",
    "response": [
        {
            "taxId": 65606,
            "taxName": "GST 28",
            "taxRate": 28.0
        },
        {
            "taxId": 65602,
            "taxName": "NON GST 0",
            "taxRate": 0.0
        },
        {
            "taxId": 65605,
            "taxName": "GST 18",
            "taxRate": 18.0
        },
        {
            "taxId": 65600,
            "taxName": "GST 0",
            "taxRate": 0.0
        },
        {
            "taxId": 65601,
            "taxName": "EXEMPT 0",
            "taxRate": 0.0
        },
        {
            "taxId": 65603,
            "taxName": "GST 5",
            "taxRate": 5.0
        },
        {
            "taxId": 65604,
            "taxName": "GST 12",
            "taxRate": 12.0
        },
        {
            "taxId": 72788,
            "taxName": "GST 40",
            "taxRate": 40.0
        }
    ]
}
Previous
Get City List
Next
Get Additional Charge List
Built with